import request from '@/utils/request'

// 查询交通运输-行政处罚列表
export function listPenalty(query) {
    return request({
        url: '/crmTransportAdministrativePenalty/findByPage',
        method: 'get',
        params: query
    })
}

// 查询交通运输-行政处罚详细
export function getPenalty(id) {
    return request({
        url: '/crmTransportAdministrativePenalty/' + id,
        method: 'get'
    })
}

// 新增交通运输-行政处罚
export function addPenalty(data) {
    return request({
        url: '/crmTransportAdministrativePenalty',
        method: 'post',
        data: data
    })
}

// 修改交通运输-行政处罚
export function updatePenalty(data) {
    return request({
        url: '/crmTransportAdministrativePenalty',
        method: 'put',
        data: data
    })
}

// 删除交通运输-行政处罚
export function delPenalty(id) {
    return request({
        url: '/crmTransportAdministrativePenalty/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delPenaltyBatch(ids) {
    console.log(ids);
    return request.post('/crmTransportAdministrativePenalty/delete',ids)
}